Package org.eclipse.ui.views.properties.tabbed

# Interface ITabItem

All Known Subinterfaces:
  `ITabDescriptor`

All Known Implementing Classes:
  `AbstractTabDescriptor`

public interface ITabItem
Represents a tab to be displayed in the tab list in the tabbed property sheet page.

Author:
  Anthony Hunter

## Method Summary

Modifier and Type
Method
Description
`Image`
`getImage()`
Get the icon image for the tab.
`String`
`getText()`
Get the text label for the tab.
`boolean`
`isIndented()`
Determine if this tab is indented.
`boolean`
`isSelected()`
Determine if this tab is selected.

## Method Details

### getImage

Image getImage()
Get the icon image for the tab.

Returns:
  the icon image for the tab.

### getText

String getText()
Get the text label for the tab.

Returns:
  the text label for the tab.

### isSelected

boolean isSelected()
Determine if this tab is selected.

Returns:
  `true` if this tab is selected.

### isIndented

boolean isIndented()
Determine if this tab is indented.

Returns:
  `true` if this tab is indented.